Bug 466426 - system-config-network doesn't change ONBOOT
system-config-network doesn't change ONBOOT
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 03:52 EDT by Paul Black
Modified: 2010-12-05 02:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:07:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Black 2008-10-10 03:52:16 EDT
Description of problem:
After installing F10-Beta and disabling NM, when configuring an ethernet device to be started at boot time with s-c-n, s-c-n doesn't change ONBOOT to yes in the various ifcfg-eth0 files.


Version-Release number of selected component (if applicable):
system-config-network-1.5.10-1.fc9.noarch

How reproducible:
Very

Steps to Reproduce:
1. Select an ethernet device
2. Change "Activate device when computer starts"
3. Save settings
  
Actual results:
Expect ifcfg-eth0 to have ONBOOT modified

Expected results:
ONBOOT parameter is not modified. (In either direction)

Additional info:
Comment 1 Bug Zapper 2008-11-25 22:44:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jiri Moskovcak 2008-11-28 06:56:04 EST
This should be fixed in the latest release of s-c-n. It should hit the testing repository soon.
Comment 3 Volans 2009-01-13 05:34:17 EST
Having the same problem.

Each time I restart my PC, I need to go to system-config-network and enable the network device.....
Comment 4 Bug Zapper 2009-11-18 03:33:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tethys 2009-11-29 17:49:51 EST
This is still a problem with F12. After a fresh install, I have no network
configured. So I ran system-config-network, entered the appropriate details,
and did "service network restart". The settings I'd entered were ignored
because ifcfg-eth0 still had ONBOOT=no in it.
Comment 6 Bug Zapper 2009-12-18 01:32:42 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Tethys 2009-12-18 05:15:04 EST
Aaarrrgghhhh!!! Sometimes I despair of the Red Hat bugzilla.
Commenters are not allowed to update the version number. But
that's OK, because I've been told that all you need to do to
keep a bug open when a release goes EOL is to leave a comment
saying it's still relevant to a newer release.

So why is this one being closed? Just like seemingly every
other bug that this happens to.

So just for the record, THIS IS A PROBLEM WITH FEDORA 12.
Please reopen it.
Comment 8 James Hammett 2010-01-05 03:19:03 EST
Doesn't work on Fedora 12 EITHER.  

In fact I no longer even see eth0, when I run the ifconfig command.
Comment 9 Bug Zapper 2010-11-04 07:45:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-05 02:07:27 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.